com.r3corda.core.crypto / X509Utilities / loadKeyStore

# loadKeyStore

`fun loadKeyStore(keyStoreFilePath: Path, storePassword: String): KeyStore`

Helper method to open an existing keystore for modification/read

### Parameters

`keyStoreFilePath` - location of KeyStore file which must exist, or this will throw FileNotFoundException
`storePassword` - password to open the store. This does not have to be the same password as any keys stored, but for SSL purposes this is recommended.

Return
returns the KeyStore opened

`fun loadKeyStore(input: InputStream, storePassword: String): KeyStore`

Helper method to open an existing keystore for modification/read

### Parameters

`input` - stream containing a KeyStore e.g. loaded from a resource file
`storePassword` - password to open the store. This does not have to be the same password as any keys stored, but for SSL purposes this is recommended.

Return
returns the KeyStore opened